<?xml version="1.0" encoding="utf-8"?>
<install version="1.5" type="plugin" group="flexicontent_fields" method="upgrade">
	<name>FLEXIcontent - Cooliris Gallery</name>
	<author>FrBoulli</author>
	<creationDate>Jan 2011</creationDate>
	<copyright>Copyright (C) 2011 frboulli</copyright>
	<license>GNU/GPL v2</license>
	<authorEmail>frboulli@gmail.com</authorEmail>
	<authorUrl>www.vistamedia.fr</authorUrl>
	<version>1.0 beta 1</version>
	<description>FCCG_COOLIRISGALLERY</description>
	<files>
		<filename plugin="coolirisgallery">coolirisgallery.php</filename>
    <filename plugin="coolirisgallery">coolirisgallery/index.html</filename>
    <filename plugin="coolirisgallery">coolirisgallery/cooliris.swf</filename>
    <filename plugin="coolirisgallery">coolirisgallery/swfobject.js</filename>
	</files>
	<params group="standard">
		<param name="display_label" type="radio" default="1" label="FLEXI_FIELD_DISPLAY_LABEL" description="FLEXI_FIELD_DISPLAY_LABEL_DESC">
			<option value="0">No</option>
			<option value="1">Yes</option>
		</param>
	</params>
	<params group="group-coolirisgallery" addpath="/administrator/components/com_flexicontent/elements">
		<param name="baseroot" type="text" default="" size="100" class="required" label="FCCG_BASEROOT" description="FCCG_BASEROOT_DESC" />
    <param name="thumbwidth"  type="text" default="200" size="5" label="FCCG_MINIATURE_WIDTH" description="FCCG_MINIATURE_WIDTH_DESC" />
    <param name="thumbheight" type="text" default="200" size="5" label="FCCG_MINIATURE_HEIGHT" description="FCCG_MINIATURE_HEIGHT_DESC" />  
    <param name="resetRssonsave" type="radio" default="1" label="FCCG_RESETRSSONSAVE" description="FCCG_RESETRSSONSAVE_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="resetRssondisplay" type="radio" default="1" label="FCCG_RESETRSSONDISPLAY" description="FCCG_RESETRSSDISPLAY_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="imgignore" type="text" default="" size="50" label="FCCG_IMGIGNORE" description="FCCG_IMGIGNORE_DESC" />      
    <param name="thumbprefix" type="text" default="_THUMB_" size="12" label="FCCG_THUMBPREFIX" description="FCCG_THUMBPREFIX_DESC" />      
    <param name="thumbauto" type="radio" default="1" label="FCCG_THUMBAUTO" description="FCCG_THUMBAUTO_DESC">
      <option value="0">FLEXI_NO</option>
      <option value="1">FLEXI_YES</option>
    </param>      
    <param name="sortorder" type="list" default="0" label="FCCG_IMGORDER" description="FCCG_IMGORDER_DESC">
      <option value="0">FCCG_IMGORDER_NONE</option>
      <option value="1">FCCG_IMGORDER_FILENAME</option>
      <option value="2">FCCG_IMGORDER_FILEPATH</option>
      <option value="3">FCCG_IMGORDER_DATEASC</option>
      <option value="4">FCCG_IMGORDER_DATEDESC</option>
    </param>
    <param name="imgdataorder" type="list" default="0" label="FCCG_IMGDATAORDER" description="FCCG_IMGDATAORDER_DESC">
      <option value="0">FCCG_IMDATAGORDER_EXIFFIRST</option>
      <option value="1">FCCG_IMDATAGORDER_IPTCFIRST</option>
    </param>
    <param name="@spacer" type="spacer" default="" label="" description="" />
    <param name="albumwidth"  type="text" default="600" size="5" label="FCCG_ALBUM_WIDTH" description="FCCG_ALBUM_WIDTH_DESC" />
    <param name="albumheight" type="text" default="480" size="5" label="FCCG_ALBUM_HEIGHT" description="FCCG_ALBUM_HEIGHT_DESC" />  
    <param name="bgalpha" type="text" default="" size="3" label="FCCG_BGALPHA" description="FCCG_BGALPHA_DESC" />
    <param name="bgcolor" type="text" default="" size="6" label="FCCG_BGCOLOR" description="FCCG_BGCOLOR_DESC" />
    <param name="glcolor" type="text" default="" size="6" label="FCCG_GLCOLOR" description="FCCG_GLCOLOR_DESC" />
    <param name="bgimage" type="text" default="" size="100" label="FCCG_BGIMAGE" description="FCCG_BGIMAGE_DESC" />
    <param name="music" type="text" default="" size="100" label="FCCG_MUSICFILE" description="FCCG_MUSICFILE_DESC" />
    <param name="logo" type="text" default="" size="100" label="FCCG_LOGOFILE" description="FCCG_LOGOFILE_DESC" />
    <param name="displayfullscreen" type="radio" default="1" label="FCCG_DISPLAYFULLSCREEN" description="FCCG_DISPLAYFULLSCREEN_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="intromode" type="list" default="appear" label="FCCG_INTROMODE" description="FCCG_INTROMODE_DESC">
      <option value="appear">FCCG_INTROMODE_APPEAR</option>
      <option value="zoomIn">FCCG_INTROMODE_ZOOMIN</option>
      <option value="scrollLeft">FCCG_INTROMODE_SCROLLLEFT</option>
    </param>
    <param name="imglink" type="radio" default="0" label="FCCG_IMGLINK" description="FCCG_IMGLINK_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="fbtwtlink" type="radio" default="0" label="FCCG_FBTWTLINK" description="FCCG_FBTWTLINK_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="displaycaption" type="radio" default="1" label="FCCG_DISPLAYCAPTION" description="FCCG_DISPLAYCAPTION_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="displaynavarrows" type="radio" default="1" label="FCCG_DISPLAYNAVARROWS" description="FCCG_DISPLAYNAVARROWS_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="displaytoolbarbg" type="radio" default="1" label="FCCG_DISPLAYTOOLBARBG" description="FCCG_DISPLAYTOOLBARBG_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="displayrowsnum" type="list" default="3" label="FCCG_DISPLAYROWSNUM" description="FCCG_DISPLAYROWSNUM_DESC">
      <option value="1">FCCG_DISPLAYROWSNUM_1</option>
      <option value="2">FCCG_DISPLAYROWSNUM_2</option>
      <option value="3">FCCG_DISPLAYROWSNUM_3</option>
      <option value="4">FCCG_DISPLAYROWSNUM_4</option>
      <option value="5">FCCG_DISPLAYROWSNUM_5</option>
      <option value="6">FCCG_DISPLAYROWSNUM_6</option>
      <option value="7">FCCG_DISPLAYROWSNUM_7</option>
    </param>
    <param name="cellborder" type="text" default="0" size="1" label="FCCG_CELLBORDER" description="FCCG_CELLBORDER_DESC" />
    <param name="cellalpha" type="text" default="0.0" size="3" label="FCCG_CELLALPHA" description="FCCG_CELLALPHA_DESC" />
    <param name="cellwidth" type="text" default="430" size="3" label="FCCG_CELLWIDTH" description="FCCG_CELLWIDTH_DESC" />
    <param name="cellheight" type="text" default="300" size="3" label="FCCG_CELLHEIGHT" description="FCCG_CELLHEIGHT_DESC" />
    <param name="cellspacingx" type="text" default="0.18" size="4" label="FCCG_CELLSPACINGX" description="FCCG_CELLSPACINGX_DESC" />
    <param name="cellspacingy" type="text" default="0.18" size="4" label="FCCG_CELLSPACINGY" description="FCCG_CELLSPACINGY_DESC" />
    <param name="style" type="list" default="black" label="FCCG_STYLE" description="FCCG_STYLE_DESC">
      <option value="black">FCCG_STYLE_BLACK</option>
      <option value="white">FCCG_STYLE_WHITE</option>
      <option value="dark">FCCG_STYLE_DARK</option>
      <option value="light">FCCG_STYLE_LIGHT</option>
    </param>
    <param name="tilt" type="list" default="0" label="FCCG_TILT" description="FCCG_TILT_DESC">
      <option value="0">FCCG_TILT_NONE</option>
      <option value="1">FCCG_TILT_1</option>
      <option value="2">FCCG_TILT_2</option>
      <option value="3">FCCG_TILT_3</option>
      <option value="4">FCCG_TILT_4</option>
      <option value="5">FCCG_TILT_5</option>
    </param>
    <param name="showdescription" type="radio" default="1" label="FCCG_SHOWDESCRIPTION" description="FCCG_SHOWDESCRIPTION_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
    <param name="showreflection" type="radio" default="1" label="FCCG_SHOWREFLECTION" description="FCCG_SHOWREFLECTION_DESC">
      <option value="1">FLEXI_YES</option>
      <option value="0">FLEXI_NO</option>
    </param>
	</params>
	<languages>
		<language tag="en-GB">en-GB.plg_flexicontent_fields_coolirisgallery.ini</language>
		<language tag="fr-FR">fr-FR.plg_flexicontent_fields_coolirisgallery.ini</language>
	</languages>
</install>
